import React from "react";
import LoginView from './LoginView'
import RegisterView from './RegisterView'

class LoginPage extends React.Component {
    constructor() {
        super();
        this.state = {
            isRegister: false,
        }
    }

    toggleRegister() {
        this.setState({
            isRegister: !this.state.isRegister
        });
    }

    render() {
        this.props.commonObj.toggleRegister = this.toggleRegister.bind(this);
        return (
            <div className="loginroot">
                <div>
                    <span className="banner">NibyInsta</span>
                    <div className="loginform">
                        {this.state.isRegister ? <RegisterView commonObj={this.props.commonObj}/> : <LoginView commonObj={this.props.commonObj}/>}
                    </div>
                </div>
            </div>
        );
    }

}

export default LoginPage;