import React from "react";
import ProfileView from "./ProfileView";
import SegmentView from "./SegmentView";
import PhotosView from "./PhotosView";

class ProfilePage extends React.Component {

    render() {
        return (
            <>
                <SegmentView banner="Profile">
                    <ProfileView commonObj={this.props.commonObj}></ProfileView>
                </SegmentView>
                <SegmentView banner="Your photos">
                    <PhotosView commonObj={this.props.commonObj}></PhotosView>
                </SegmentView>
            </>
        );
    }
}

export default ProfilePage;