import React from "react";

class SegmentView extends React.Component {    
    render() {
        let wideClass = this.props.wide ? " wide" : "";
        return (
            <div className="segment">
                <div className={'segmentBox' + wideClass}>
                    <span className="segmentBanner">{this.props.banner}</span>
                    <div className="segmentContent">
                        { this.props.children }
                    </div>
                </div>
            </div>
        );
    }
}

export default SegmentView;